com.hazelcast.jet.aggregate

## Class AllOfAggregationBuilder<T>

- java.lang.Object
- - com.hazelcast.jet.aggregate.AllOfAggregationBuilder<T>

- Type Parameters:
    `T` - the type of the input items

      public final class AllOfAggregationBuilder<T>
      extends Object

  Offers a step-by-step API to create a composite of multiple aggregate operations. To obtain it, call `AggregateOperations.allOfBuilder()`.
  Since:
    3.0

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `<R> Tag<R>` | `add(AggregateOperation1<? super T,?,R> operation)` Adds the supplied aggregate operation to the composite.
    `AggregateOperation1<T,Object[],ItemsByTag>` | `build()` Builds and returns the composite `AggregateOperation1`.
    `<R> AggregateOperation1<T,Object[],R>` | `build(FunctionEx<ItemsByTag,R> exportFinishFn)` Builds and returns the composite `AggregateOperation1`.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### add

          @Nonnull
          public <R> Tag<R> add(@Nonnull
                                         AggregateOperation1<? super T,?,R> operation)

      Adds the supplied aggregate operation to the composite. Use the returned `Tag` as a key in the `ItemsByTag` you get in the result of the composite aggregation.
      Type Parameters:
        `R` - the result type of this operation

    - #### build

          @Nonnull
          public AggregateOperation1<T,Object[],ItemsByTag> build()

      Builds and returns the composite `AggregateOperation1`. Its result type is `ItemsByTag` containing all the tags you got from the `add(com.hazelcast.jet.aggregate.AggregateOperation1<? super T, ?, R>)` method.

    - #### build

          @Nonnull
          public <R> AggregateOperation1<T,Object[],R> build(@Nonnull
                                                                      FunctionEx<ItemsByTag,R> exportFinishFn)

      Builds and returns the composite `AggregateOperation1`. It will call the supplied `exportFinishFn` to transform the `ItemsByTag` it creates to the result type it emits as the actual result.
      Parameters:
        `exportFinishFn` - function that converts the `ItemsByTag` to the target result type

Copyright © 2019. All rights reserved.